2.1.1.2 install problem and version compatibility question


mschonberg <mschonberg@...>
 

On Thu, 12 Jul 2012, Bill Nokes wrote:

Hi Mike,

Here's what I did (abridged to ignore Avis, GTest, ...).  I stopped at the
./configure command assuming there's no point continuing to make/install...

$ wget
http://www.openmama.org/sites/openmama.org/files/openmama-src-2.1.1.2.tar_0.bz2
You should use:

wget http://www.openmama.org/sites/openmama.org/files/openmama-src-2.1.tar.bz2

The "tar_0.bz2" file is an incorrect version where I neglected to run
getnerateBuildFiles.sh before creating the archive.

I verified that the configure scripts are missing in the "tar_0.bz2" file and
present in the one above.

Regards,
-Mike

$ bunzip2 openmama-src-2.1.1.2.tar_0.bz2
$ tar xvf openmama-src-2.1.1.2.tar_0
$ cd OpenMAMA-2.1.1.2
$ ./configure --with-avis=/usr/local
./configure: line 58: ./configure: No such file or directory
/tmp/test/OpenMAMA-2.1.1.2
./configure: line 63: ./configure: No such file or directory
/tmp/test/OpenMAMA-2.1.1.2
./configure: line 68: ./configure: No such file or directory
/tmp/test/OpenMAMA-2.1.1.2
./configure: line 73: ./configure: No such file or directory
/tmp/test/OpenMAMA-2.1.1.2

Looking at ./configure, line 58:

# configure common
cd common/c_cpp
./configure $EXTRA
cd -

Hope this helps,
Bill

On 12 July 2012 01:03, Mike Schonberg <mschonberg@nyx.com> wrote:

Bill,

 

You are correct, you should not have to run generateBuildFiles.sh if
you download the source tar ball from openmama.org as we run the
script prior to creating the archive.

 

I verified that the current 2.1 source contains
common/c_cpp/configure and that the C/C++ MAMA builds complete from
the downloaded source. Can you provide the link that you used to
download the source, your configure command, and the output from
configure and make?

 

Regards,

-Mike

 

From: openmama-users-bounces@lists.openmama.org
[mailto:openmama-users-bounces@lists.openmama.org] On Behalf Of Glenn
McClements
Sent: Tuesday, July 10, 2012 2:25 AM
To: Bill Nokes
Cc: openmama-users@lists.openmama.org
Subject: Re: [Openmama-users] 2.1.1.2 install problem and version
compatibility question

 

Hi Bill,

Answers below. 

* Is OpenMama 2.x wire compatible with 1.x?  I'd like to run a Java 2.x
subscriber and be able to pick up either 1.x or 2.x messages. 

Yes. The wire level protocols are defined by the middlewares and message
formats that OpenMAMA supports. If you are using the the underlying
libraries, e.g. Avis, then OpenMAMA will be backwards compatible. 

 

* I've tried build OpenMama 2.1.1.2 from source(http://www.openmama.org/sites/openmama.org/files/openmama-src-2.1.1.2.tar_0.bz2
), but it's failing to configure. Problem seems to be that common/c_cpp
is missing ./configure.   OpenMama 2.1 seems to pass this point without
any problems.

common/c_cpp/configure needs to be generated first by
running generateBuildFiles.sh. Full build instructions are in he README
file.

 

Glenn 

 

From: Bill Nokes <bill.nokes@velocimetrics.com>
Date: Mon, 9 Jul 2012 16:09:56 +0100
To: "openmama-users@lists.openmama.org" <openmama-users@lists.openmama.org>
Subject: [Openmama-users] 2.1.1.2 install problem and version compatibility
question

 

Hi,

I've just picked up OpenMama 2.x and I've a few questions if I may (I tried
#openmama, but all's quiet there)...

* Is OpenMama 2.x wire compatible with 1.x?  I'd like to run a Java 2.x
subscriber and be able to pick up either 1.x or 2.x messages. 
* I've tried build OpenMama 2.1.1.2 from source(http://www.openmama.org/sites/openmama.org/files/openmama-src-2.1.1.2.tar_0.bz2
), but it's failing to configure. Problem seems to be that common/c_cpp
is missing ./configure.   OpenMama 2.1 seems to pass this point without
any problems.

Regards,

Bill



--
16 St Martin’s Le Grand
London
EC1A 4EN
United Kingdom

+44 (0) 20 3239 8137



_________________________________________________________________________________


Please consider the environment before printing this e-mail.

This e-mail may contain confidential and/or privileged information. If you
are not the intended recipient or have received this e-mail in error,
please advise the sender immediately by reply e-mail and delete this
message and any attachments without retaining a copy.

Any unauthorised copying, disclosure or distribution of the material in
this e-mail is strictly forbidden.

_________________________________________________________________________________

Please consider the environment before printing this email.

Visit our website at http://www.nyse.com
*****************************************************************************
Note: The information contained in this message and any attachment to it is
privileged, confidential and protected from disclosure. If the reader of
this message is not the intended recipient, or an employee or agent
responsible for delivering this message to the intended recipient, you are
hereby notified that any dissemination, distribution or copying of this
communication is strictly prohibited. If you have received this
communication in error, please notify the sender immediately by replying to
the message, and please delete it from your system. Thank you. NYSE
Euronext.




--
16 St Martin’s Le Grand
London
EC1A 4EN
United Kingdom

+44 (0) 20 3239 8137



Bill Nokes <bill.nokes@...>
 

Hi Mike,

Here's what I did (abridged to ignore Avis, GTest, ...).  I stopped at the ./configure command assuming there's no point continuing to make/install...

$ wget http://www.openmama.org/sites/openmama.org/files/openmama-src-2.1.1.2.tar_0.bz2
$ bunzip2 openmama-src-2.1.1.2.tar_0.bz2
$ tar xvf openmama-src-2.1.1.2.tar_0
$ cd OpenMAMA-2.1.1.2
$ ./configure --with-avis=/usr/local
./configure: line 58: ./configure: No such file or directory
/tmp/test/OpenMAMA-2.1.1.2
./configure: line 63: ./configure: No such file or directory
/tmp/test/OpenMAMA-2.1.1.2
./configure: line 68: ./configure: No such file or directory
/tmp/test/OpenMAMA-2.1.1.2
./configure: line 73: ./configure: No such file or directory
/tmp/test/OpenMAMA-2.1.1.2

Looking at ./configure, line 58:

# configure common
cd common/c_cpp
./configure $EXTRA
cd -

Hope this helps,
Bill


On 12 July 2012 01:03, Mike Schonberg <mschonberg@...> wrote:

Bill,

 

You are correct, you should not have to run generateBuildFiles.sh if you download the source tar ball from openmama.org as we run the script prior to creating the archive.

 

I verified that the current 2.1 source contains common/c_cpp/configure and that the C/C++ MAMA builds complete from the downloaded source. Can you provide the link that you used to download the source, your configure command, and the output from configure and make?

 

Regards,

-Mike

 

From: openmama-users-bounces@... [mailto:openmama-users-bounces@...] On Behalf Of Glenn McClements
Sent: Tuesday, July 10, 2012 2:25 AM
To: Bill Nokes
Cc: openmama-users@...
Subject: Re: [Openmama-users] 2.1.1.2 install problem and version compatibility question

 

Hi Bill,

Answers below. 

  • Is OpenMama 2.x wire compatible with 1.x?  I'd like to run a Java 2.x subscriber and be able to pick up either 1.x or 2.x messages. 

Yes. The wire level protocols are defined by the middlewares and message formats that OpenMAMA supports. If you are using the the underlying libraries, e.g. Avis, then OpenMAMA will be backwards compatible. 

 

common/c_cpp/configure needs to be generated first by running generateBuildFiles.sh. Full build instructions are in he README file.

 

Glenn 

 

From: Bill Nokes <bill.nokes@...>
Date: Mon, 9 Jul 2012 16:09:56 +0100
To: "openmama-users@..." <openmama-users@...>
Subject: [Openmama-users] 2.1.1.2 install problem and version compatibility question

 

Hi,

I've just picked up OpenMama 2.x and I've a few questions if I may (I tried #openmama, but all's quiet there)...

  • Is OpenMama 2.x wire compatible with 1.x?  I'd like to run a Java 2.x subscriber and be able to pick up either 1.x or 2.x messages. 

Regards,

Bill



--
16 St Martin’s Le Grand
London
EC1A 4EN
United Kingdom

+44 (0) 20 3239 8137




Please consider the environment before printing this e-mail.

This e-mail may contain confidential and/or privileged information. If you are not the intended recipient or have received this e-mail in error, please advise the sender immediately by reply e-mail and delete this message and any attachments without retaining a copy.

Any unauthorised copying, disclosure or distribution of the material in this e-mail is strictly forbidden.


Please consider the environment before printing this email.

Visit our website at http://www.nyse.com
*****************************************************************************
Note: The information contained in this message and any attachment to it is privileged, confidential and protected from disclosure. If the reader of this message is not the intended recipient, or an employee or agent responsible for delivering this message to the intended recipient, you are hereby notified that any dissemination, distribution or copying of this communication is strictly prohibited. If you have received this communication in error, please notify the sender immediately by replying to the message, and please delete it from your system. Thank you. NYSE Euronext.




--
16 St Martin’s Le Grand
London
EC1A 4EN
United Kingdom

+44 (0) 20 3239 8137


Mike Schonberg <mschonberg@...>
 

Bill,

 

You are correct, you should not have to run generateBuildFiles.sh if you download the source tar ball from openmama.org as we run the script prior to creating the archive.

 

I verified that the current 2.1 source contains common/c_cpp/configure and that the C/C++ MAMA builds complete from the downloaded source. Can you provide the link that you used to download the source, your configure command, and the output from configure and make?

 

Regards,

-Mike

 

From: openmama-users-bounces@... [mailto:openmama-users-bounces@...] On Behalf Of Glenn McClements
Sent: Tuesday, July 10, 2012 2:25 AM
To: Bill Nokes
Cc: openmama-users@...
Subject: Re: [Openmama-users] 2.1.1.2 install problem and version compatibility question

 

Hi Bill,

Answers below. 

  • Is OpenMama 2.x wire compatible with 1.x?  I'd like to run a Java 2.x subscriber and be able to pick up either 1.x or 2.x messages. 

Yes. The wire level protocols are defined by the middlewares and message formats that OpenMAMA supports. If you are using the the underlying libraries, e.g. Avis, then OpenMAMA will be backwards compatible. 

 

common/c_cpp/configure needs to be generated first by running generateBuildFiles.sh. Full build instructions are in he README file.

 

Glenn 

 

From: Bill Nokes <bill.nokes@...>
Date: Mon, 9 Jul 2012 16:09:56 +0100
To: "openmama-users@..." <openmama-users@...>
Subject: [Openmama-users] 2.1.1.2 install problem and version compatibility question

 

Hi,

I've just picked up OpenMama 2.x and I've a few questions if I may (I tried #openmama, but all's quiet there)...

  • Is OpenMama 2.x wire compatible with 1.x?  I'd like to run a Java 2.x subscriber and be able to pick up either 1.x or 2.x messages. 

Regards,

Bill



--
16 St Martin’s Le Grand
London
EC1A 4EN
United Kingdom

+44 (0) 20 3239 8137




Please consider the environment before printing this e-mail.

This e-mail may contain confidential and/or privileged information. If you are not the intended recipient or have received this e-mail in error, please advise the sender immediately by reply e-mail and delete this message and any attachments without retaining a copy.

Any unauthorised copying, disclosure or distribution of the material in this e-mail is strictly forbidden.


Please consider the environment before printing this email.

Visit our website at http://www.nyse.com
*****************************************************************************
Note: The information contained in this message and any attachment to it is privileged, confidential and protected from disclosure. If the reader of this message is not the intended recipient, or an employee or agent responsible for delivering this message to the intended recipient, you are hereby notified that any dissemination, distribution or copying of this communication is strictly prohibited. If you have received this communication in error, please notify the sender immediately by replying to the message, and please delete it from your system. Thank you. NYSE Euronext.


Bill Nokes <bill.nokes@...>
 

Hi Glenn,

Thanks following up.  Good news on the wire compatibility - will give me lots more integration options :-)

Re: building.  The README file indicates you only need to run generateBuildFiles.sh if you've downloaded from GIT; however I downloaded from the archive and the instructions are to use configure directly (this worked for 2.1 version).  Anyway, I've got 2.1 compiled and can run against Avis so making progress.

Cheers,
Bill


On 10 July 2012 10:25, Glenn McClements <gmcclements@...> wrote:
Hi Bill,
Answers below. 
  • Is OpenMama 2.x wire compatible with 1.x?  I'd like to run a Java 2.x subscriber and be able to pick up either 1.x or 2.x messages. 
Yes. The wire level protocols are defined by the middlewares and message formats that OpenMAMA supports. If you are using the the underlying libraries, e.g. Avis, then OpenMAMA will be backwards compatible. 

common/c_cpp/configure needs to be generated first by running generateBuildFiles.sh. Full build instructions are in he README file.

Glenn 

From: Bill Nokes <bill.nokes@...>
Date: Mon, 9 Jul 2012 16:09:56 +0100
To: "openmama-users@..." <openmama-users@...>
Subject: [Openmama-users] 2.1.1.2 install problem and version compatibility question

Hi,

I've just picked up OpenMama 2.x and I've a few questions if I may (I tried #openmama, but all's quiet there)...

  • Is OpenMama 2.x wire compatible with 1.x?  I'd like to run a Java 2.x subscriber and be able to pick up either 1.x or 2.x messages. 

Regards,

Bill



--
16 St Martin’s Le Grand
London
EC1A 4EN
United Kingdom

+44 (0) 20 3239 8137



Please consider the environment before printing this e-mail.

This e-mail may contain confidential and/or privileged information. If you are not the intended recipient or have received this e-mail in error, please advise the sender immediately by reply e-mail and delete this message and any attachments without retaining a copy.

Any unauthorised copying, disclosure or distribution of the material in this e-mail is strictly forbidden.



--
16 St Martin’s Le Grand
London
EC1A 4EN
United Kingdom

+44 (0) 20 3239 8137


Glenn McClements <gmcclements@...>
 

Hi Bill,
Answers below. 
  • Is OpenMama 2.x wire compatible with 1.x?  I'd like to run a Java 2.x subscriber and be able to pick up either 1.x or 2.x messages. 
Yes. The wire level protocols are defined by the middlewares and message formats that OpenMAMA supports. If you are using the the underlying libraries, e.g. Avis, then OpenMAMA will be backwards compatible. 

common/c_cpp/configure needs to be generated first by running generateBuildFiles.sh. Full build instructions are in he README file.

Glenn 

From: Bill Nokes <bill.nokes@...>
Date: Mon, 9 Jul 2012 16:09:56 +0100
To: "openmama-users@..." <openmama-users@...>
Subject: [Openmama-users] 2.1.1.2 install problem and version compatibility question

Hi,

I've just picked up OpenMama 2.x and I've a few questions if I may (I tried #openmama, but all's quiet there)...

  • Is OpenMama 2.x wire compatible with 1.x?  I'd like to run a Java 2.x subscriber and be able to pick up either 1.x or 2.x messages. 

Regards,

Bill



--
16 St Martin’s Le Grand
London
EC1A 4EN
United Kingdom

+44 (0) 20 3239 8137



Please consider the environment before printing this e-mail.

This e-mail may contain confidential and/or privileged information. If you are not the intended recipient or have received this e-mail in error, please advise the sender immediately by reply e-mail and delete this message and any attachments without retaining a copy.

Any unauthorised copying, disclosure or distribution of the material in this e-mail is strictly forbidden.


Bill Nokes <bill.nokes@...>
 

Hi,

I've just picked up OpenMama 2.x and I've a few questions if I may (I tried #openmama, but all's quiet there)...

  • Is OpenMama 2.x wire compatible with 1.x?  I'd like to run a Java 2.x subscriber and be able to pick up either 1.x or 2.x messages. 

Regards,

Bill



--
16 St Martin’s Le Grand
London
EC1A 4EN
United Kingdom

+44 (0) 20 3239 8137